> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Record that the Rate Card prompt was shown or deferred



## OpenAPI

````yaml /openapi/v3.yaml post /api/v2/billing/iu-rate-card/login-prompt/respond
openapi: 3.1.0
info:
  title: Semicola Exchange platform API
  version: 3.0.0-preview
  description: >-
    Platform endpoints of Semicola: sign-in, signup and OAuth for MCP clients,
    accounts, members and keys, billing, notifications, the Semi assistant (chat
    stream, confirmations, conversations), the MCP App widget host and realtime
    feeds. Typed agent tools live on the MCP server at /mcp/v3.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Auth
  - name: Signup
  - name: OAuth
  - name: Accounts
  - name: Members
  - name: API Keys
  - name: Buyer Agent Principals
  - name: Asks
  - name: Connected Apps
  - name: Onboarding
  - name: Billing
  - name: AI Usage
  - name: Notifications
  - name: Assistant
  - name: MCP Apps
  - name: Realtime
  - name: Demo
paths:
  /api/v2/billing/iu-rate-card/login-prompt/respond:
    post:
      tags:
        - Billing
      summary: Record that the Rate Card prompt was shown or deferred
      operationId: postBillingIuRateCardLoginPromptRespond
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                offerVersion:
                  type: string
                  pattern: ^v1:[0-9a-f]{64}$
                outcome:
                  type: string
                  enum:
                    - SHOWN
                    - DEFERRED
                idempotencyKey:
                  type: string
                  minLength: 1
                  maxLength: 200
              required:
                - offerVersion
                - outcome
                - idempotencyKey
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          recorded:
                            type: boolean
                            const: true
                        required:
                          - recorded
                        additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: sc_session

````